bin_PROGRAMS = nyp2005
nyp2005_SOURCES = nyp2005.cpp me_config.cpp me_c_opengl_video_driver.cpp \
		me_c_opengl_video_surface.cpp me_c_parser.cpp me_c_storage.cpp me_c_storage_driver_cfg.cpp \
		me_c_storageentry.cpp me_c_text_log.cpp me_c_video.cpp me_debug.cpp IMG_png.cpp IMG_jpg.cpp \
	freetype.cpp

# set the include path found by configure
INCLUDES = `freetype-config --cflags` $(all_includes)

# the library search path.

nyp2005_CXXFLAGS = $(LIBSDL_CFLAGS)
nyp2005_LDADD = -lSDL_mixer -lSDL_ttf $(LIBSDL_LIBS) -lpng -lz -lGL -ljpeg
noinst_HEADERS = me_c_log_interface.h me_config.h me_c_opengl_video_driver.h\
	me_c_opengl_video_surface.h me_c_parser.h me_c_storage_driver_cfg.h\
	me_c_storageentry.h me_c_storage.h me_c_text_log.h\
	me_c_video_driver_interface.h me_c_video_features.h me_c_video.h\
	me_c_video_surface.h me_debug.h me_defines.h
